/**
 * Copyright (c) 2013 Nokia Corporation. All rights reserved.
 * Nokia and Nokia Connecting People are registered trademarks of Nokia Corporation. 
 * Oracle and Java are trademarks or registered trademarks of Oracle and/or its
 * affiliates. Other product and company names mentioned herein may be trademarks
 * or trade names of their respective owners. 
 * See license text file delivered with this project for more information.
 */

package com.nokia.example.statusshout.animations;

/**
 * Animation listener interface.
 */
public interface AnimationListener {
    /**
     * Callback for animation value change.
     * @param value The new animated value.
     */
    void onAnimatedValueChanged(int value);

    /**
     * Callback for animation state change.
     * @param state The new state.
     */
    void onAnimationStateChanged(int state);
}
